rvm gemsets missing

Apparently RVM Gemsets are not appearing in 3.2 EAP 107.261.  I am only seeing the default and not the custom gemsets I have on the Ruby SDL and Gems settings.

Additionally, if I set the ruby path to the appropriate ruby bin that does show the appropriate gemset, I am seeing an error from the "Get available generators list" message window:
/Volumes/Macintosh HD/Users/username/ruby/project/script/rails
Get available generators script executes with errors:
/Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/spec_set.rb:87:in `block in materialize': Could not find hobo_support-1.3.0.RC in any of the sources (Bundler::GemNotFound)
from /Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/spec_set.rb:81:in `map!'
from /Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/spec_set.rb:81:in `materialize'
from /Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/definition.rb:90:in `specs'
from /Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/definition.rb:135:in `specs_for'
from /Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/definition.rb:124:in `requested_specs'
from /Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/environment.rb:23:in `requested_specs'
from /Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/runtime.rb:11:in `setup'
from /Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler.rb:107:in `setup'
from /Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/setup.rb:17:in `<top (required)>'
from /Users/username/.rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:58:in `require'
from /Users/username/.rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:58:in `rescue in require'
from /Users/username/.rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:35:in `require'
from /Volumes/Macintosh HD/Users/username/ruby/project/config/boot.rb:6:in `<top (required)>'
from <internal:lib/rubygems/custom_require>:29:in `require'
from <internal:lib/rubygems/custom_require>:29:in `require'
from /Volumes/Macintosh HD/Users/username/ruby/project/script/rails:5:in `<main>'

1 comment
Comment actions Permalink

Additionally, if I set the ruby path to the appropriate ruby bin that does show the appropriate gemset,

It's not correct because rvm uses custom gempaths (which are set by 'rvm' command). If rubymine understands your RVM - it automatically configures RVM sdks and emulates RVM behavior for running ruby scripts.

I am seeing an error from the "Get available generators list" message window:
/Volumes/Macintosh HD/Users/username/ruby/project/script/rails
Get available generators script executes with errors:
/Users/username/.rvm/gems/ruby-1.9.2-p180/gems/bundler-1.0.15/lib/bundler/spec_set.rb:87:in `block in materialize': Could not find hobo_support-1.3.0.RC in any of the sources (Bundler::GemNotFound)


here hobo_support gem isn't found most likely due to wrong  gempaths.

Could you attach your idea.log? See javascript:;
0

Please sign in to leave a comment.